ReplicationMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum ReplicationMode

    java.lang.Object
      java.lang.Enum<ReplicationMode>
          org.hibernate.ReplicationMode

All Implemented Interfaces:
  Serializable, Comparable<ReplicationMode>

    public enum ReplicationMode

extends Enum<ReplicationMode>

Represents a replication strategy.

See Also:
  `Session.replicate(Object, ReplicationMode)`

Enum Constant Summary
`EXCEPTION` Throw an exception when a row already exists.
`IGNORE` Ignore replicated entities when a row already exists.
`LATEST_VERSION` When a row already exists, choose the latest version.
`OVERWRITE` Overwrite existing rows when a row already exists.

Method Summary
`abstract boolean` | `shouldOverwriteCurrentVersion(Object entity, Object currentVersion, Object newVersion, VersionType versionType)`
`static ReplicationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReplicationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXCEPTION

    public static final ReplicationMode EXCEPTION

  Throw an exception when a row already exists.

### IGNORE

    public static final ReplicationMode IGNORE

  Ignore replicated entities when a row already exists.

### OVERWRITE

    public static final ReplicationMode OVERWRITE

  Overwrite existing rows when a row already exists.

### LATEST_VERSION

    public static final ReplicationMode LATEST_VERSION

  When a row already exists, choose the latest version.

Method Detail

### values

    public static ReplicationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReplicationMode c : ReplicationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReplicationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### shouldOverwriteCurrentVersion

    public abstract boolean shouldOverwriteCurrentVersion(Object entity,
                                                          Object currentVersion,
                                                          Object newVersion,
                                                          VersionType versionType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.